org.apache.ode.bpel.pmapi

## Interface MockQueryRequestDocument.MockQueryRequest

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    MockQueryRequestDocumentImpl.MockQueryRequestImpl
  Enclosing interface:
    MockQueryRequestDocument

      public static interface MockQueryRequestDocument.MockQueryRequest
      extends org.apache.xmlbeans.XmlObject

  An XML mockQueryRequest(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `MockQueryRequestDocument.MockQueryRequest.Factory` A factory class with static methods for creating instances of this type.
    `static interface` | `MockQueryRequestDocument.MockQueryRequest.Pattern` An XML pattern(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.xmlbeans.XmlObject` | `addNewIn()` Appends and returns a new empty "in" element
    `java.util.Calendar` | `getCreateTime()` Gets the "createTime" element
    `org.apache.xmlbeans.XmlObject` | `getIn()` Gets the "in" element
    `java.lang.String` | `getOperation()` Gets the "operation" element
    `MockQueryRequestDocument.MockQueryRequest.Pattern.Enum` | `getPattern()` Gets the "pattern" element
    `javax.xml.namespace.QName` | `getService()` Gets the "service" element
    `void` | `setCreateTime(java.util.Calendar createTime)` Sets the "createTime" element
    `void` | `setIn(org.apache.xmlbeans.XmlObject in)` Sets the "in" element
    `void` | `setOperation(java.lang.String operation)` Sets the "operation" element
    `void` | `setPattern(MockQueryRequestDocument.MockQueryRequest.Pattern.Enum pattern)` Sets the "pattern" element
    `void` | `setService(javax.xml.namespace.QName service)` Sets the "service" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetCreateTime()` Gets (as xml) the "createTime" element
    `org.apache.xmlbeans.XmlString` | `xgetOperation()` Gets (as xml) the "operation" element
    `MockQueryRequestDocument.MockQueryRequest.Pattern` | `xgetPattern()` Gets (as xml) the "pattern" element
    `org.apache.xmlbeans.XmlQName` | `xgetService()` Gets (as xml) the "service" element
    `void` | `xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)` Sets (as xml) the "createTime" element
    `void` | `xsetOperation(org.apache.xmlbeans.XmlString operation)` Sets (as xml) the "operation" element
    `void` | `xsetPattern(MockQueryRequestDocument.MockQueryRequest.Pattern pattern)` Sets (as xml) the "pattern" element
    `void` | `xsetService(org.apache.xmlbeans.XmlQName service)` Sets (as xml) the "service" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getCreateTime

          java.util.Calendar getCreateTime()

      Gets the "createTime" element

    - #### xgetCreateTime

          org.apache.xmlbeans.XmlDateTime xgetCreateTime()

      Gets (as xml) the "createTime" element

    - #### setCreateTime

          void setCreateTime(java.util.Calendar createTime)

      Sets the "createTime" element

    - #### xsetCreateTime

          void xsetCreateTime(org.apache.xmlbeans.XmlDateTime createTime)

      Sets (as xml) the "createTime" element

    - #### getService

          javax.xml.namespace.QName getService()

      Gets the "service" element

    - #### xgetService

          org.apache.xmlbeans.XmlQName xgetService()

      Gets (as xml) the "service" element

    - #### setService

          void setService(javax.xml.namespace.QName service)

      Sets the "service" element

    - #### xsetService

          void xsetService(org.apache.xmlbeans.XmlQName service)

      Sets (as xml) the "service" element

    - #### getOperation

          java.lang.String getOperation()

      Gets the "operation" element

    - #### xgetOperation

          org.apache.xmlbeans.XmlString xgetOperation()

      Gets (as xml) the "operation" element

    - #### setOperation

          void setOperation(java.lang.String operation)

      Sets the "operation" element

    - #### xsetOperation

          void xsetOperation(org.apache.xmlbeans.XmlString operation)

      Sets (as xml) the "operation" element

    - #### getIn

          org.apache.xmlbeans.XmlObject getIn()

      Gets the "in" element

    - #### setIn

          void setIn(org.apache.xmlbeans.XmlObject in)

      Sets the "in" element

    - #### addNewIn

          org.apache.xmlbeans.XmlObject addNewIn()

      Appends and returns a new empty "in" element

    - #### getPattern

          MockQueryRequestDocument.MockQueryRequest.Pattern.Enum getPattern()

      Gets the "pattern" element

    - #### xgetPattern

          MockQueryRequestDocument.MockQueryRequest.Pattern xgetPattern()

      Gets (as xml) the "pattern" element

    - #### setPattern

          void setPattern(MockQueryRequestDocument.MockQueryRequest.Pattern.Enum pattern)

      Sets the "pattern" element

    - #### xsetPattern

          void xsetPattern(MockQueryRequestDocument.MockQueryRequest.Pattern pattern)

      Sets (as xml) the "pattern" element